#include <stdio.h>
#include <conio.h>

void main()

{
int numero,cont,suma,base,resto;
clrscr();

printf ("\n Introduzca el numero entero: ");
scanf ("%d",&numero);
printf ("\n Introduzca la base: ");
scanf ("%d",&base);
cont=1;
suma=0;
do
{

numero=numero/base;
resto=numero%base;
resto=resto*cont;
suma=suma+resto;
}
while (numero<base);
resto=numero*cont;
suma=suma+resto;

printf ("\n El n£mero es %d",suma);
getch();

}